slice2py(1)

NAME

slice2py - The Slice to Python compiler.

SYNOPSIS

slice2py [options] [files]

DESCRIPTION

slice2py compiles Slice files to Python. The macro __SLICE2PY__ is defined during this compilation.

Full documentation for slice2py is available online at:
https://doc.zeroc.com/ice/3.7/language-mappings/python-mapping/client-side-slice-to-python-mapping/code-generation-in-python

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the compiler version.

-DNAME
    Defines the preprocessor symbol NAME.

-DNAME=DEF
    Defines the preprocessor symbol NAME with the value DEF.

-UNAME
    Undefines the preprocessor symbol NAME.

-IDIR
    Add the directory DIR to the search path for #include directives.

-E
    Print the preprocessor output on stdout.

--output-dir DIR
    Place the generated files into directory DIR.

-d, --debug
    Print debug information showing the operation of the Slice parser.

--depend
    Print dependency information to standard output by default, or to the file specified by the --depend-file option. No code is generated when this option is specified.

--depend-xml
    Print dependency information in XML format to standard output by default, or to the file specified by the --depend-file option. No code is generated when this option is specified.

--depend-file FILE
    Directs dependency information to the specified file. The output format depends on whether --depend or --depend-xml is also specified.

--all
    Generate code for all Slice definitions, including those from included files.

--checksum CLASS
    Generate checksums for Slice definitions.

--prefix PREFIX
    Use PREFIX as the prefix for generated file names.

SEE ALSO

slice2cpp(1), slice2cs(1), slice2java(1), slice2js(1), slice2matlab(1), slice2objc(1), slice2php(1), slice2rb(1), slice2swift(1)